%define module	pygraphviz
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so

Summary:	Python interface to Graphviz
Name:		python-%{module}
Version:	1.2
Release:	%mkrel 3
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		https://networkx.lanl.gov/pygraphviz
Requires:	graphviz >= 2.0
BuildRequires:	graphviz-devel >= 2.0
BuildRequires:	python-devel
BuildRequires:	python-sphinx

%description
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.


%prep
%setup -q -n %{module}-%{version}

%build
%{__python} setup.py build
pushd doc
export PYTHONPATH=`dir -d ../build/lib.linux*`
%make html
popd

%install
%{__python} setup.py install --skip-build --root=%{buildroot} 
%__rm -rf %{buildroot}%{_defaultdocdir}/%{module}-%{version}

%files
%doc doc/build/html examples
%{python_sitearch}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 543919
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2-2.mga4
+ Revision: 499217
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 29 2013 philippem <philippem> 1.2-1.mga4
+ Revision: 472890
- remove no need examples
- update to 1.2

* Sun Jan 13 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 379361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-3.mga3
+ Revision: 324745
- rebuild for Mga3 Beta1

* Sun Aug 19 2012 kamil <kamil> 1.1-2.mga3
+ Revision: 282125
- adapt for Mageia
- imported package python-pygraphviz

